Bug 107961 - error: package rhn-applet-2.0.9-0.9.0.1.i386.rpm is not installed
error: package rhn-applet-2.0.9-0.9.0.1.i386.rpm is not installed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 21:13 EDT by Robert Nakagawa
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-25 09:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nakagawa 2003-10-24 21:13:42 EDT
Description of problem:
[root@ns4 up_two_date_rpms]# rpm -Uvh rhn-applet-2.0.9-0.9.0.1.i386.rpm
Preparing...                ########################################### [100%]
        package rhn-applet-2.0.9-0.9.0.1 is already installed
[root@ns4 up_two_date_rpms]# rpm -e rhn-applet-2.0.9-0.9.0.1.i386.rpm
error: package rhn-applet-2.0.9-0.9.0.1.i386.rpm is not installed


Version-Release number of selected component (if applicable):
rhn-applet-2.0.9-0.9.0.1.i386.rpm

How reproducible: Unknown


Steps to Reproduce:
1. Installed up2date certificates
2. The rpm removed my up2date icon from the task bar.
3. See above.
    
Actual results: No longer have the applet.py.


Expected results: Should have updated the certificates without removing the
applet package.


Additional info: Need to know how to fix the problem.
Comment 1 Robert Nakagawa 2003-10-24 21:17:26 EDT
[root@ns4 up2date_client]# rpm -qf rhn-applet-2.0.9-0.9.0.1.i386.rpm -l
error: file rhn-applet-2.0.9-0.9.0.1.i386.rpm: No such file or directory


Not in the rpm database according to the above comment.
Comment 2 Daniel Veillard 2003-10-25 09:10:21 EDT
I'm afraid you're just confused.
rpm -e takes a package name description argument not a filename like
  rpm -e rhn-applet
rpm -qf ask the rpmdatabase to which installed rpm the argument pertains
  rpm -qf rhn-applet-2.0.9-0.9.0.1.i386.rpm
does *not* ask if the given package is installed.

  And all this is absolutely not specific to rhn_applet, it's the normal
behaviour of the rpm command.

Daniel

Note You need to log in before you can comment on or make changes to this bug.